-- phpMyAdmin SQL Dump
-- version 5.0.1
-- https://www.phpmyadmin.net/
--
-- Host: MariaDB
-- Erstellungszeit: 28. Jan 2022 um 09:32
-- Server-Version: 10.3.31-MariaDB-0+deb10u1
-- PHP-Version: 8.0.14

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Datenbank: `Musik_Strok`
--

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `copy_Cover`
--

CREATE TABLE `copy_Cover` (
  `LP-NR` int(5) NOT NULL,
  `Cover` longblob NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `Cover`
--

CREATE TABLE `Cover` (
  `LP-NR` int(5) NOT NULL,
  `Cover` longblob NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `DISCID`
--

CREATE TABLE `DISCID` (
  `DISCID` varchar(100) NOT NULL,
  `LP-NR` int(10) NOT NULL,
  `CD-NR` double(15,5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `Farben`
--

CREATE TABLE `Farben` (
  `Farbe` varchar(15) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `INTERPRETEN _ GRUPPEN`
--

CREATE TABLE `INTERPRETEN _ GRUPPEN` (
  `Vorname` varchar(78) DEFAULT NULL,
  `Nachname` varchar(78) DEFAULT NULL,
  `INTERPRET_GRUPPE` varchar(78) NOT NULL DEFAULT '',
  `GESCHICHTE` longtext DEFAULT NULL,
  `INTERNETADRESSE` varchar(80) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `MUSIK`
--

CREATE TABLE `MUSIK` (
  `LP-NR` int(5) NOT NULL,
  `INTERPRET_GRUPPE` varchar(78) NOT NULL,
  `Vorname` varchar(78) NOT NULL,
  `Nachname` varchar(78) NOT NULL,
  `PLATTENTITEL` varchar(78) NOT NULL,
  `JAHR` double(4,0) DEFAULT NULL,
  `AUFNAHMEJAHR` double(4,0) DEFAULT NULL,
  `PRODUZENT` varchar(50) DEFAULT NULL,
  `SPIELZEIT` time DEFAULT NULL,
  `EINGABE` date DEFAULT NULL,
  `MEDIUM` varchar(30) DEFAULT NULL,
  `BESTELLNUMMER` varchar(30) DEFAULT NULL,
  `EAN` varchar(20) DEFAULT NULL,
  `MC-NUMMER` double(3,0) DEFAULT NULL,
  `LABEL` varchar(30) DEFAULT NULL,
  `VERTRIEBSFIRMA` varchar(30) DEFAULT NULL,
  `AUFNAHME` varchar(10) DEFAULT NULL,
  `CASSETTENSEITE` varchar(3) DEFAULT NULL,
  `LIVE` tinyint(1) NOT NULL,
  `KRITIK` longtext DEFAULT NULL,
  `STILRICHTUNG` varchar(50) DEFAULT NULL,
  `Urlaub` varchar(50) DEFAULT NULL,
  `KAUFPREIS` double(5,2) DEFAULT NULL,
  `WÄHRUNG` varchar(5) DEFAULT NULL,
  `Kopierschutz` tinyint(1) NOT NULL,
  `MP3` tinyint(1) NOT NULL,
  `FLAC` tinyint(1) NOT NULL,
  `FLAC-Auflösung` tinyint(1) NOT NULL,
  `HDCD` tinyint(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `MUSIKER`
--

CREATE TABLE `MUSIKER` (
  `LP-NR` int(10) NOT NULL,
  `MUSIKER` varchar(50) NOT NULL,
  `INSTRUMENT` varchar(150) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `MUSIKSTIELE`
--

CREATE TABLE `MUSIKSTIELE` (
  `MUSIKSTIELE` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `TITEL`
--

CREATE TABLE `TITEL` (
  `LP-NR` int(10) NOT NULL COMMENT 'Nummer des Albums - Verknüpfung zu anderen Tabellen',
  `ST-NR` int(10) NOT NULL COMMENT 'Titelnummer des Albums',
  `TITEL` varchar(102) NOT NULL COMMENT 'Name des Titels',
  `TITEL_m_INTERPRET` varchar(100) DEFAULT NULL,
  `Live` tinyint(1) DEFAULT NULL,
  `ZEIT` varchar(8) DEFAULT NULL COMMENT 'Dauer des Titels',
  `INTERPRET` varchar(51) DEFAULT NULL COMMENT 'Inerpret wenn abweichend vom Albuminterpret (z. B. Sampler) ',
  `GENRE` varchar(10) DEFAULT NULL,
  `BONUS` int(10) DEFAULT NULL COMMENT 'wenn Titel nicht auf Ursprungsalbum enthalten',
  `DVD_nur` int(10) DEFAULT NULL COMMENT 'Wenn Bonus nur auf Zusatz-DVD (auch Blu-Ray)',
  `DVD_auch` int(10) DEFAULT NULL COMMENT 'Wenn Bonus auch auf Zusatz-DVD (auch Blu-Ray)',
  `Bonus_Medium` varchar(10) DEFAULT NULL,
  `TT-NR` int(10) DEFAULT NULL COMMENT 'Nummer des Tonträgers bei Mehrfachalben',
  `TT-ST-NR` int(10) DEFAULT NULL COMMENT 'Titelnummer des jeweiligen Tonträgers',
  `TT-Seite` varchar(2) DEFAULT NULL COMMENT 'Seite des Tonträgers bei Vinyl/MC'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `TITEL_org`
--

CREATE TABLE `TITEL_org` (
  `LP-NR` int(10) NOT NULL,
  `ST-NR` double(4,0) NOT NULL,
  `TITEL` varchar(100) NOT NULL,
  `ZEIT` time DEFAULT NULL,
  `INTERPRET` varchar(50) DEFAULT NULL,
  `GENRE` varchar(10) DEFAULT NULL,
  `BONUS` tinyint(1) NOT NULL,
  `DVD_nur` tinyint(1) NOT NULL,
  `DVD_auch` tinyint(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `Tonformate`
--

CREATE TABLE `Tonformate` (
  `Format` varchar(30) NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `Tonqualität`
--

CREATE TABLE `Tonqualität` (
  `Format` varchar(30) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `Tontraeger`
--

CREATE TABLE `Tontraeger` (
  `ID` int(5) NOT NULL,
  `LP-NR` int(10) NOT NULL,
  `Tonträger` varchar(50) DEFAULT NULL,
  `Anzahl` int(2) DEFAULT NULL,
  `Zusatz_Tonträger_Ph` varchar(50) DEFAULT NULL,
  `waschen erforderlich` bit(1) DEFAULT NULL,
  `gewaschen` bit(1) DEFAULT NULL,
  `HDCD` bit(1) DEFAULT NULL,
  `Anzahl_ZT` int(2) DEFAULT NULL,
  `Typ_ZT_Download` varchar(15) DEFAULT NULL,
  `Downloadcode_ZT` varchar(15) DEFAULT NULL,
  `Bestellnummer` varchar(25) DEFAULT NULL,
  `VÖ` int(5) DEFAULT NULL,
  `Spielzeit` time DEFAULT NULL,
  `Ton` varchar(20) DEFAULT NULL,
  `Albumversion` varchar(65) DEFAULT NULL,
  `Vinylfarbe` varchar(50) DEFAULT NULL,
  `RPM (Vinyl)` varchar(7) DEFAULT NULL,
  `LP-Gewicht` double DEFAULT NULL,
  `Innenhülle` varchar(15) DEFAULT NULL,
  `EAN` varchar(13) DEFAULT NULL,
  `Erfassungsdatum` date DEFAULT NULL,
  `Preis` double(5,2) DEFAULT NULL,
  `Währung` varchar(3) DEFAULT NULL,
  `Tonqualität` varchar(100) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `Tonträger`
--

CREATE TABLE `Tonträger` (
  `ID` int(5) NOT NULL,
  `LP-NR` int(5) NOT NULL,
  `Tonträger` varchar(50) DEFAULT NULL,
  `Anzahl` int(2) DEFAULT NULL,
  `Zusatz_Tonträger_Ph` varchar(50) DEFAULT NULL,
  `waschen erforderlich` bit(1) DEFAULT NULL,
  `gewaschen` bit(1) DEFAULT NULL,
  `HDCD` bit(1) DEFAULT NULL,
  `Anzahl_ZT` int(2) DEFAULT NULL,
  `Typ_ZT_Download` varchar(15) DEFAULT NULL,
  `Downloadcode_ZT` varchar(15) DEFAULT NULL,
  `Bestellnummer` varchar(25) DEFAULT NULL,
  `VÖ` int(5) DEFAULT NULL,
  `Spielzeit` time DEFAULT NULL,
  `Ton` varchar(20) DEFAULT NULL,
  `Albumversion` varchar(65) DEFAULT NULL,
  `Vinylfarbe` varchar(50) DEFAULT NULL,
  `RPM (Vinyl)` varchar(7) DEFAULT NULL,
  `LP-Gewicht` double DEFAULT NULL,
  `Innenhülle` varchar(15) DEFAULT NULL,
  `EAN` varchar(13) DEFAULT NULL,
  `Erfassungsdatum` date DEFAULT NULL,
  `Preis` double(5,2) DEFAULT NULL,
  `Währung` varchar(3) DEFAULT NULL,
  `Tonqualität` varchar(100) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `Tonträgertypen`
--

CREATE TABLE `Tonträgertypen` (
  `ID` int(10) NOT NULL,
  `Typ` varchar(15) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Stellvertreter-Struktur des Views `View_Alben_m_Tonträger`
-- (Siehe unten für die tatsächliche Ansicht)
--
CREATE TABLE `View_Alben_m_Tonträger` (
`ID` int(11)
,`LP-NR` int(11)
,`Anzahl_CD` varchar(0)
,`Anz_LP` varchar(11)
,`Anz_MC` varchar(11)
,`Zusatz_Tonträger` varchar(50)
,`Anzahl_ZT` int(11)
,`Typ_ZT_Download` varchar(15)
,`Downloadcode_ZT` varchar(15)
,`Bestellnummer` varchar(25)
,`VÖ` int(11)
,`Spielzeit` time
,`Ton` varchar(20)
,`Albumversion` varchar(65)
,`Vinylfarbe` varchar(50)
,`RPM (Vinyl)` varchar(7)
,`EAN` varchar(13)
,`Erfassungsdatum` date
,`Preis` double(5,2)
,`Währung` varchar(3)
);

-- --------------------------------------------------------

--
-- Stellvertreter-Struktur des Views `View_alle_Alben`
-- (Siehe unten für die tatsächliche Ansicht)
--
CREATE TABLE `View_alle_Alben` (
`Nachname` varchar(78)
,`Vorname` varchar(78)
,`INTERPRET_GRUPPE` varchar(78)
,`PLATTENTITEL` varchar(78)
,`LP-NR` int(5)
,`JAHR` double(4,0)
,`AUFNAHMEJAHR` double(4,0)
,`PRODUZENT` varchar(50)
,`EINGABE` date
,`MC-NUMMER` double(3,0)
,`LABEL` varchar(30)
,`VERTRIEBSFIRMA` varchar(30)
,`AUFNAHME` varchar(10)
,`CASSETTENSEITE` varchar(3)
,`LIVE` tinyint(1)
,`KRITIK` longtext
,`STILRICHTUNG` varchar(50)
,`Urlaub` varchar(50)
,`Kopierschutz` tinyint(1)
,`MP3` tinyint(1)
,`HDCD` tinyint(1)
,`Tontraeger` varchar(50)
,`Anzahl` int(2)
,`Zusatz_Tontraeger` varchar(50)
,`Anzahl_ZT` int(2)
,`Spielzeit` time
,`Albumversion` varchar(65)
,`Bestellnummer` varchar(25)
,`EAN` varchar(13)
,`Erfassungsdatum` date
,`Preis` double(5,2)
,`Waehrung` varchar(3)
,`VOE` int(5)
,`Vinylfarbe` varchar(50)
,`RPM (Vinyl)` varchar(7)
);

-- --------------------------------------------------------

--
-- Stellvertreter-Struktur des Views `View_alle_Alben_mit_anz_Titeln`
-- (Siehe unten für die tatsächliche Ansicht)
--
CREATE TABLE `View_alle_Alben_mit_anz_Titeln` (
`INTERPRET_GRUPPE` varchar(78)
,`PLATTENTITEL` varchar(78)
,`LP-NR` int(5)
,`JAHR` double(4,0)
,`AUFNAHMEJAHR` double(4,0)
,`PRODUZENT` varchar(50)
,`EINGABE` date
,`MC-NUMMER` double(3,0)
,`LABEL` varchar(30)
,`VERTRIEBSFIRMA` varchar(30)
,`AUFNAHME` varchar(10)
,`CASSETTENSEITE` varchar(3)
,`LIVE` tinyint(1)
,`KRITIK` longtext
,`STILRICHTUNG` varchar(50)
,`Urlaub` varchar(50)
,`Kopierschutz` tinyint(1)
,`MP3` tinyint(1)
,`HDCD` tinyint(1)
,`Tontraeger` varchar(50)
,`Anzahl` int(2)
,`Zusatz_Tontraeger` varchar(50)
,`Anzahl_ZT` int(2)
,`Spielzeit` time
,`Albumversion` varchar(65)
,`Bestellnummer` varchar(25)
,`EAN` varchar(13)
,`Erfassungsdatum` date
,`Preis` double(5,2)
,`Waehrung` varchar(3)
,`VOE` int(5)
,`ANZ TITEL` bigint(21)
);

-- --------------------------------------------------------

--
-- Stellvertreter-Struktur des Views `View_alle_Alben_mit_Titeln`
-- (Siehe unten für die tatsächliche Ansicht)
--
CREATE TABLE `View_alle_Alben_mit_Titeln` (
`INTERPRET_GRUPPE` varchar(78)
,`PLATTENTITEL` varchar(78)
,`LP-NR` int(5)
,`JAHR` double(4,0)
,`AUFNAHMEJAHR` double(4,0)
,`PRODUZENT` varchar(50)
,`EINGABE` date
,`MC-NUMMER` double(3,0)
,`LABEL` varchar(30)
,`VERTRIEBSFIRMA` varchar(30)
,`AUFNAHME` varchar(10)
,`CASSETTENSEITE` varchar(3)
,`LIVE` tinyint(1)
,`KRITIK` longtext
,`STILRICHTUNG` varchar(50)
,`Urlaub` varchar(50)
,`Kopierschutz` tinyint(1)
,`MP3` tinyint(1)
,`HDCD` tinyint(1)
,`Tontraeger` varchar(50)
,`Anzahl` int(2)
,`Zusatz_Tontraeger` varchar(50)
,`Anzahl_ZT` int(2)
,`Spielzeit` time
,`Albumversion` varchar(65)
,`Bestellnummer` varchar(25)
,`EAN` varchar(13)
,`Erfassungsdatum` date
,`Preis` double(5,2)
,`Waehrung` varchar(3)
,`VOE` int(5)
,`TITEL` varchar(102)
,`ST-NR` int(10)
,`ZEIT` varchar(8)
,`BONUS` int(10)
,`DVD_nur` int(10)
,`DVD_auch` int(10)
);

-- --------------------------------------------------------

--
-- Struktur des Views `View_Alben_m_Tonträger`
--
DROP TABLE IF EXISTS `View_Alben_m_Tonträger`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `View_Alben_m_Tonträger`  AS  select `Musik`.`Tonträger`.`ID` AS `ID`,`Musik`.`Tonträger`.`LP-NR` AS `LP-NR`,'' AS `Anzahl_CD`,`Musik`.`Tonträger`.`Anzahl` AS `Anz_LP`,'' AS `Anz_MC`,`Musik`.`Tonträger`.`Zusatz_Tonträger_Ph` AS `Zusatz_Tonträger`,`Musik`.`Tonträger`.`Anzahl_ZT` AS `Anzahl_ZT`,`Musik`.`Tonträger`.`Typ_ZT_Download` AS `Typ_ZT_Download`,`Musik`.`Tonträger`.`Downloadcode_ZT` AS `Downloadcode_ZT`,`Musik`.`Tonträger`.`Bestellnummer` AS `Bestellnummer`,`Musik`.`Tonträger`.`VÖ` AS `VÖ`,`Musik`.`Tonträger`.`Spielzeit` AS `Spielzeit`,`Musik`.`Tonträger`.`Ton` AS `Ton`,`Musik`.`Tonträger`.`Albumversion` AS `Albumversion`,`Musik`.`Tonträger`.`Vinylfarbe` AS `Vinylfarbe`,`Musik`.`Tonträger`.`RPM (Vinyl)` AS `RPM (Vinyl)`,`Musik`.`Tonträger`.`EAN` AS `EAN`,`Musik`.`Tonträger`.`Erfassungsdatum` AS `Erfassungsdatum`,`Musik`.`Tonträger`.`Preis` AS `Preis`,`Musik`.`Tonträger`.`Währung` AS `Währung` from `Musik`.`Tonträger` where `Musik`.`Tonträger`.`Tonträger` like '%LP%' union all select `Musik`.`Tonträger`.`ID` AS `ID`,`Musik`.`Tonträger`.`LP-NR` AS `LP-NR`,'' AS `Anzahl_CD`,'' AS `Anz_LP`,`Musik`.`Tonträger`.`Anzahl` AS `Anz_MC`,`Musik`.`Tonträger`.`Zusatz_Tonträger_Ph` AS `Zusatz_Tonträger`,`Musik`.`Tonträger`.`Anzahl_ZT` AS `Anzahl_ZT`,`Musik`.`Tonträger`.`Typ_ZT_Download` AS `Typ_ZT_Download`,`Musik`.`Tonträger`.`Downloadcode_ZT` AS `Downloadcode_ZT`,`Musik`.`Tonträger`.`Bestellnummer` AS `Bestellnummer`,`Musik`.`Tonträger`.`VÖ` AS `VÖ`,`Musik`.`Tonträger`.`Spielzeit` AS `Spielzeit`,`Musik`.`Tonträger`.`Ton` AS `Ton`,`Musik`.`Tonträger`.`Albumversion` AS `Albumversion`,`Musik`.`Tonträger`.`Vinylfarbe` AS `Vinylfarbe`,`Musik`.`Tonträger`.`RPM (Vinyl)` AS `RPM (Vinyl)`,`Musik`.`Tonträger`.`EAN` AS `EAN`,`Musik`.`Tonträger`.`Erfassungsdatum` AS `Erfassungsdatum`,`Musik`.`Tonträger`.`Preis` AS `Preis`,`Musik`.`Tonträger`.`Währung` AS `Währung` from `Musik`.`Tonträger` where `Musik`.`Tonträger`.`Tonträger` like '%MC%' order by `LP-NR`,`ID` ;

-- --------------------------------------------------------

--
-- Struktur des Views `View_alle_Alben`
--
DROP TABLE IF EXISTS `View_alle_Alben`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `View_alle_Alben`  AS  select `Musik`.`INTERPRETEN _ GRUPPEN`.`Nachname` AS `Nachname`,`Musik`.`INTERPRETEN _ GRUPPEN`.`Vorname` AS `Vorname`,`Musik`.`MUSIK`.`INTERPRET_GRUPPE` AS `INTERPRET_GRUPPE`,`Musik`.`MUSIK`.`PLATTENTITEL` AS `PLATTENTITEL`,`Musik`.`MUSIK`.`LP-NR` AS `LP-NR`,`Musik`.`MUSIK`.`JAHR` AS `JAHR`,`Musik`.`MUSIK`.`AUFNAHMEJAHR` AS `AUFNAHMEJAHR`,`Musik`.`MUSIK`.`PRODUZENT` AS `PRODUZENT`,`Musik`.`MUSIK`.`EINGABE` AS `EINGABE`,`Musik`.`MUSIK`.`MC-NUMMER` AS `MC-NUMMER`,`Musik`.`MUSIK`.`LABEL` AS `LABEL`,`Musik`.`MUSIK`.`VERTRIEBSFIRMA` AS `VERTRIEBSFIRMA`,`Musik`.`MUSIK`.`AUFNAHME` AS `AUFNAHME`,`Musik`.`MUSIK`.`CASSETTENSEITE` AS `CASSETTENSEITE`,`Musik`.`MUSIK`.`LIVE` AS `LIVE`,`Musik`.`MUSIK`.`KRITIK` AS `KRITIK`,`Musik`.`MUSIK`.`STILRICHTUNG` AS `STILRICHTUNG`,`Musik`.`MUSIK`.`Urlaub` AS `Urlaub`,`Musik`.`MUSIK`.`Kopierschutz` AS `Kopierschutz`,`Musik`.`MUSIK`.`MP3` AS `MP3`,`Musik`.`MUSIK`.`HDCD` AS `HDCD`,`Musik`.`Tonträger`.`Tonträger` AS `Tontraeger`,`Musik`.`Tonträger`.`Anzahl` AS `Anzahl`,`Musik`.`Tonträger`.`Zusatz_Tonträger_Ph` AS `Zusatz_Tontraeger`,`Musik`.`Tonträger`.`Anzahl_ZT` AS `Anzahl_ZT`,`Musik`.`Tonträger`.`Spielzeit` AS `Spielzeit`,`Musik`.`Tonträger`.`Albumversion` AS `Albumversion`,`Musik`.`Tonträger`.`Bestellnummer` AS `Bestellnummer`,`Musik`.`Tonträger`.`EAN` AS `EAN`,`Musik`.`Tonträger`.`Erfassungsdatum` AS `Erfassungsdatum`,`Musik`.`Tonträger`.`Preis` AS `Preis`,`Musik`.`Tonträger`.`Währung` AS `Waehrung`,`Musik`.`Tonträger`.`VÖ` AS `VOE`,`Musik`.`Tonträger`.`Vinylfarbe` AS `Vinylfarbe`,`Musik`.`Tonträger`.`RPM (Vinyl)` AS `RPM (Vinyl)` from ((`Musik`.`MUSIK` join `Musik`.`Tonträger`) join `Musik`.`INTERPRETEN _ GRUPPEN`) where `Musik`.`MUSIK`.`LP-NR` = `Musik`.`Tonträger`.`LP-NR` and `Musik`.`MUSIK`.`INTERPRET_GRUPPE` = `Musik`.`INTERPRETEN _ GRUPPEN`.`INTERPRET_GRUPPE` order by `Musik`.`MUSIK`.`INTERPRET_GRUPPE`,`Musik`.`MUSIK`.`AUFNAHMEJAHR` ;

-- --------------------------------------------------------

--
-- Struktur des Views `View_alle_Alben_mit_anz_Titeln`
--
DROP TABLE IF EXISTS `View_alle_Alben_mit_anz_Titeln`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`192.168.0.%` SQL SECURITY DEFINER VIEW `View_alle_Alben_mit_anz_Titeln`  AS  select `View_alle_Alben`.`INTERPRET_GRUPPE` AS `INTERPRET_GRUPPE`,`View_alle_Alben`.`PLATTENTITEL` AS `PLATTENTITEL`,`View_alle_Alben`.`LP-NR` AS `LP-NR`,`View_alle_Alben`.`JAHR` AS `JAHR`,`View_alle_Alben`.`AUFNAHMEJAHR` AS `AUFNAHMEJAHR`,`View_alle_Alben`.`PRODUZENT` AS `PRODUZENT`,`View_alle_Alben`.`EINGABE` AS `EINGABE`,`View_alle_Alben`.`MC-NUMMER` AS `MC-NUMMER`,`View_alle_Alben`.`LABEL` AS `LABEL`,`View_alle_Alben`.`VERTRIEBSFIRMA` AS `VERTRIEBSFIRMA`,`View_alle_Alben`.`AUFNAHME` AS `AUFNAHME`,`View_alle_Alben`.`CASSETTENSEITE` AS `CASSETTENSEITE`,`View_alle_Alben`.`LIVE` AS `LIVE`,`View_alle_Alben`.`KRITIK` AS `KRITIK`,`View_alle_Alben`.`STILRICHTUNG` AS `STILRICHTUNG`,`View_alle_Alben`.`Urlaub` AS `Urlaub`,`View_alle_Alben`.`Kopierschutz` AS `Kopierschutz`,`View_alle_Alben`.`MP3` AS `MP3`,`View_alle_Alben`.`HDCD` AS `HDCD`,`View_alle_Alben`.`Tontraeger` AS `Tontraeger`,`View_alle_Alben`.`Anzahl` AS `Anzahl`,`View_alle_Alben`.`Zusatz_Tontraeger` AS `Zusatz_Tontraeger`,`View_alle_Alben`.`Anzahl_ZT` AS `Anzahl_ZT`,`View_alle_Alben`.`Spielzeit` AS `Spielzeit`,`View_alle_Alben`.`Albumversion` AS `Albumversion`,`View_alle_Alben`.`Bestellnummer` AS `Bestellnummer`,`View_alle_Alben`.`EAN` AS `EAN`,`View_alle_Alben`.`Erfassungsdatum` AS `Erfassungsdatum`,`View_alle_Alben`.`Preis` AS `Preis`,`View_alle_Alben`.`Waehrung` AS `Waehrung`,`View_alle_Alben`.`VOE` AS `VOE`,count(`Musik`.`TITEL`.`TITEL`) AS `ANZ TITEL` from (`Musik`.`View_alle_Alben` join `Musik`.`TITEL`) where `View_alle_Alben`.`LP-NR` = `Musik`.`TITEL`.`LP-NR` group by `View_alle_Alben`.`LP-NR` ;

-- --------------------------------------------------------

--
-- Struktur des Views `View_alle_Alben_mit_Titeln`
--
DROP TABLE IF EXISTS `View_alle_Alben_mit_Titeln`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`192.168.0.%` SQL SECURITY DEFINER VIEW `View_alle_Alben_mit_Titeln`  AS  select `View_alle_Alben`.`INTERPRET_GRUPPE` AS `INTERPRET_GRUPPE`,`View_alle_Alben`.`PLATTENTITEL` AS `PLATTENTITEL`,`View_alle_Alben`.`LP-NR` AS `LP-NR`,`View_alle_Alben`.`JAHR` AS `JAHR`,`View_alle_Alben`.`AUFNAHMEJAHR` AS `AUFNAHMEJAHR`,`View_alle_Alben`.`PRODUZENT` AS `PRODUZENT`,`View_alle_Alben`.`EINGABE` AS `EINGABE`,`View_alle_Alben`.`MC-NUMMER` AS `MC-NUMMER`,`View_alle_Alben`.`LABEL` AS `LABEL`,`View_alle_Alben`.`VERTRIEBSFIRMA` AS `VERTRIEBSFIRMA`,`View_alle_Alben`.`AUFNAHME` AS `AUFNAHME`,`View_alle_Alben`.`CASSETTENSEITE` AS `CASSETTENSEITE`,`View_alle_Alben`.`LIVE` AS `LIVE`,`View_alle_Alben`.`KRITIK` AS `KRITIK`,`View_alle_Alben`.`STILRICHTUNG` AS `STILRICHTUNG`,`View_alle_Alben`.`Urlaub` AS `Urlaub`,`View_alle_Alben`.`Kopierschutz` AS `Kopierschutz`,`View_alle_Alben`.`MP3` AS `MP3`,`View_alle_Alben`.`HDCD` AS `HDCD`,`View_alle_Alben`.`Tontraeger` AS `Tontraeger`,`View_alle_Alben`.`Anzahl` AS `Anzahl`,`View_alle_Alben`.`Zusatz_Tontraeger` AS `Zusatz_Tontraeger`,`View_alle_Alben`.`Anzahl_ZT` AS `Anzahl_ZT`,`View_alle_Alben`.`Spielzeit` AS `Spielzeit`,`View_alle_Alben`.`Albumversion` AS `Albumversion`,`View_alle_Alben`.`Bestellnummer` AS `Bestellnummer`,`View_alle_Alben`.`EAN` AS `EAN`,`View_alle_Alben`.`Erfassungsdatum` AS `Erfassungsdatum`,`View_alle_Alben`.`Preis` AS `Preis`,`View_alle_Alben`.`Waehrung` AS `Waehrung`,`View_alle_Alben`.`VOE` AS `VOE`,`Musik`.`TITEL`.`TITEL` AS `TITEL`,`Musik`.`TITEL`.`ST-NR` AS `ST-NR`,`Musik`.`TITEL`.`ZEIT` AS `ZEIT`,`Musik`.`TITEL`.`BONUS` AS `BONUS`,`Musik`.`TITEL`.`DVD_nur` AS `DVD_nur`,`Musik`.`TITEL`.`DVD_auch` AS `DVD_auch` from (`Musik`.`View_alle_Alben` join `Musik`.`TITEL`) where `View_alle_Alben`.`LP-NR` = `Musik`.`TITEL`.`LP-NR` ;

--
-- Indizes der exportierten Tabellen
--

--
-- Indizes für die Tabelle `copy_Cover`
--
ALTER TABLE `copy_Cover`
  ADD PRIMARY KEY (`LP-NR`);

--
-- Indizes für die Tabelle `Cover`
--
ALTER TABLE `Cover`
  ADD PRIMARY KEY (`LP-NR`);

--
-- Indizes für die Tabelle `DISCID`
--
ALTER TABLE `DISCID`
  ADD PRIMARY KEY (`DISCID`,`LP-NR`,`CD-NR`),
  ADD KEY `Index1` (`DISCID`,`LP-NR`,`CD-NR`),
  ADD KEY `Index2` (`LP-NR`,`CD-NR`),
  ADD KEY `LP-NR` (`LP-NR`),
  ADD KEY `Reference4` (`LP-NR`),
  ADD KEY `ST-NR` (`CD-NR`),
  ADD KEY `TITEL` (`DISCID`);

--
-- Indizes für die Tabelle `INTERPRETEN _ GRUPPEN`
--
ALTER TABLE `INTERPRETEN _ GRUPPEN`
  ADD PRIMARY KEY (`INTERPRET_GRUPPE`),
  ADD UNIQUE KEY `INTERPRET_GRUPPE` (`INTERPRET_GRUPPE`);

--
-- Indizes für die Tabelle `MUSIK`
--
ALTER TABLE `MUSIK`
  ADD PRIMARY KEY (`INTERPRET_GRUPPE`,`PLATTENTITEL`,`LP-NR`),
  ADD UNIQUE KEY `LP-NR` (`LP-NR`),
  ADD KEY `INTERPRET_GRUPPE` (`INTERPRET_GRUPPE`),
  ADD KEY `JAHR` (`JAHR`),
  ADD KEY `MC-NUMMER` (`MC-NUMMER`),
  ADD KEY `PLATTENTITEL` (`PLATTENTITEL`),
  ADD KEY `Reference3` (`INTERPRET_GRUPPE`),
  ADD KEY `TONTRÄGER` (`MEDIUM`);

--
-- Indizes für die Tabelle `MUSIKER`
--
ALTER TABLE `MUSIKER`
  ADD PRIMARY KEY (`LP-NR`,`MUSIKER`),
  ADD KEY `LP-NR` (`LP-NR`);

--
-- Indizes für die Tabelle `MUSIKSTIELE`
--
ALTER TABLE `MUSIKSTIELE`
  ADD PRIMARY KEY (`MUSIKSTIELE`);

--
-- Indizes für die Tabelle `TITEL`
--
ALTER TABLE `TITEL`
  ADD PRIMARY KEY (`LP-NR`,`ST-NR`,`TITEL`),
  ADD KEY `LP-NR_ST-NR_TITEL` (`LP-NR`,`ST-NR`),
  ADD KEY `LP-NR` (`LP-NR`),
  ADD KEY `ST-NR` (`ST-NR`),
  ADD KEY `LP-NR_ST-NR_TITEL_BONUS_DVD_nur` (`LP-NR`,`ST-NR`,`BONUS`,`DVD_nur`),
  ADD KEY `TITEL` (`TITEL`);

--
-- Indizes für die Tabelle `TITEL_org`
--
ALTER TABLE `TITEL_org`
  ADD PRIMARY KEY (`TITEL`,`LP-NR`,`ST-NR`),
  ADD KEY `Index1` (`TITEL`,`LP-NR`,`ST-NR`),
  ADD KEY `Index2` (`LP-NR`,`ST-NR`),
  ADD KEY `LP-NR` (`LP-NR`),
  ADD KEY `ST-NR` (`ST-NR`),
  ADD KEY `TITEL` (`TITEL`);

--
-- Indizes für die Tabelle `Tonformate`
--
ALTER TABLE `Tonformate`
  ADD PRIMARY KEY (`Format`);

--
-- Indizes für die Tabelle `Tonqualität`
--
ALTER TABLE `Tonqualität`
  ADD PRIMARY KEY (`Format`);

--
-- Indizes für die Tabelle `Tontraeger`
--
ALTER TABLE `Tontraeger`
  ADD PRIMARY KEY (`ID`,`LP-NR`),
  ADD KEY `LP-NR` (`LP-NR`);

--
-- Indizes für die Tabelle `Tonträger`
--
ALTER TABLE `Tonträger`
  ADD PRIMARY KEY (`ID`,`LP-NR`),
  ADD KEY `LP-NR` (`LP-NR`);

--
-- Indizes für die Tabelle `Tonträgertypen`
--
ALTER TABLE `Tonträgertypen`
  ADD PRIMARY KEY (`ID`);

--
-- AUTO_INCREMENT für exportierte Tabellen
--

--
-- AUTO_INCREMENT für Tabelle `MUSIK`
--
ALTER TABLE `MUSIK`
  MODIFY `LP-NR` int(5) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1730;

--
-- AUTO_INCREMENT für Tabelle `Tontraeger`
--
ALTER TABLE `Tontraeger`
  MODIFY `ID` int(5) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1928;

--
-- AUTO_INCREMENT für Tabelle `Tonträger`
--
ALTER TABLE `Tonträger`
  MODIFY `ID` int(5) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1952;

--
-- AUTO_INCREMENT für Tabelle `Tonträgertypen`
--
ALTER TABLE `Tonträgertypen`
  MODIFY `ID` int(10) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;

--
-- Constraints der exportierten Tabellen
--

--
-- Constraints der Tabelle `Cover`
--
ALTER TABLE `Cover`
  ADD CONSTRAINT `Cover_ibfk_1` FOREIGN KEY (`LP-NR`) REFERENCES `MUSIK` (`LP-NR`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints der Tabelle `DISCID`
--
ALTER TABLE `DISCID`
  ADD CONSTRAINT `DISCID_ibfk_1` FOREIGN KEY (`LP-NR`) REFERENCES `MUSIK` (`LP-NR`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints der Tabelle `MUSIK`
--
ALTER TABLE `MUSIK`
  ADD CONSTRAINT `MUSIK_ibfk_2` FOREIGN KEY (`INTERPRET_GRUPPE`) REFERENCES `INTERPRETEN _ GRUPPEN` (`INTERPRET_GRUPPE`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints der Tabelle `MUSIKER`
--
ALTER TABLE `MUSIKER`
  ADD CONSTRAINT `MUSIKER_ibfk_1` FOREIGN KEY (`LP-NR`) REFERENCES `MUSIK` (`LP-NR`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints der Tabelle `TITEL`
--
ALTER TABLE `TITEL`
  ADD CONSTRAINT `TITEL_ibfk_2` FOREIGN KEY (`LP-NR`) REFERENCES `MUSIK` (`LP-NR`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints der Tabelle `TITEL_org`
--
ALTER TABLE `TITEL_org`
  ADD CONSTRAINT `TITEL_org_ibfk_1` FOREIGN KEY (`LP-NR`) REFERENCES `MUSIK` (`LP-NR`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints der Tabelle `Tonträger`
--
ALTER TABLE `Tonträger`
  ADD CONSTRAINT `Tontr@0kger_ibfk_2` FOREIGN KEY (`LP-NR`) REFERENCES `MUSIK` (`LP-NR`) ON DELETE CASCADE ON UPDATE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
